Loading...
Searching...
No Matches
gtsam::noiseModel Namespace Reference

All noise models live in the noiseModel namespace. More...

## Namespaces

namespace | mEstimator
| The mEstimator name space contains all robust error functions.

## Classes

class | Base
| noiseModel::Base is the abstract base class for all noise models. More...
class | Gaussian
| Gaussian implements the mathematical model |R*x|^2 = |y|^2 with R'*R=inv(Sigma) where y = whiten(x) = R*x x = unwhiten(x) = inv(R)*y as indeed |y|^2 = y'*y = x'*R'*R*x Various derived classes are available that are more efficient. More...
class | Diagonal
| A diagonal noise model implements a diagonal covariance matrix, with the elements of the diagonal specified in a Vector. More...
class | Constrained
| A Constrained constrained model is a specialization of Diagonal which allows some or all of the sigmas to be zero, forcing the error to be zero there. More...
class | Isotropic
| An isotropic noise model corresponds to a scaled diagonal covariance To construct, use one of the static methods. More...
class | Unit
| Unit: i.i.d. More...
class | Robust
| Base class for robust error models The robust M-estimators above simply tell us how to re-weight the residual, and are isotropic kernels, in that they do not allow for correlated noise. More...

## Functions

template<class MATRIX>
void | updateAb (MATRIX &Ab, int j, const Vector &a, const Vector &rd)
boost::optional< Vector > | checkIfDiagonal (const Matrix &M)
template<typename VECTOR>
boost::optional< size_t > | check_if_constraint (VECTOR a, const Vector &invsigmas, size_t m)

## Detailed Description

All noise models live in the noiseModel namespace.